namespace Wizard;

public class MyPageCodeInputTask : BaseTask
{
	public class MyPageCodeInputTaskParam : BaseParam
	{
		public string serial_code;
	}

	public bool IsComplete { get; private set; }

	public MyPageCodeInputTask()
	{
		base.type = ApiType.Type.MyPageCodeInput;
	}

	public void SetParameter(string inCode)
	{
		MyPageCodeInputTaskParam myPageCodeInputTaskParam = new MyPageCodeInputTaskParam();
		myPageCodeInputTaskParam.serial_code = inCode;
		base.Params = myPageCodeInputTaskParam;
	}

	protected override int Parse()
	{
		int num = base.Parse();
		if (num != 1)
		{
			return num;
		}
		IsComplete = base.ResponseData["data"]["is_complete"].ToBoolean();
		return num;
	}
}
